
/* CellWriter header file 

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#ifndef CELLWRITERH
#define CELLWRITERH

#include "TimersHandler.h"
#include "GraphicsHandler.h"
#include "ButtonsHandler.h"
#include "CellWriterEngine.h"

class CellWriter
{
public:

  /*
   * Constructor
   */
  CellWriter();
  
  /*
   * Run CellWRiter
   */
  void Run(TimersHandler *th);
  
  /*
   * Select working language
   */
  int SelectWorkingLanguage(GraphicsHandler* mgh, GraphicsHandler* sgh);
  
  /*
   * Run CellWRiter
   */
  void RunCellWriter(TimersHandler *th, MainGraphicsHandler* mgh, SubGraphicsHandler* sgh, CellWriterEngine* eng);
  
private:

  /*
   * Run modes
   */
  enum RunMode
  {
    TRAIN,
    WRITE,
  };
};

#ifdef CWDATA

#define Y_TITLE       45
#define H_TITLE       34    //30

#define Y_SUBTITLE1   75 
#define Y_SUBTITLE2   100 
#define H_SUBTITLE    22

#define IDB_ITALIAN   100
#define IDB_ENGLISH   101
#define IDB_INFO      102

#define XBTN_ITA      10
#define XBTN_ENG      80
#define YBTN_LANG     80
#define HBTN_LANG     40
#define WBTN_LANG     60

#define XBTN_INFO     236
#define YBTN_INFO     172
#define HBTN_INFO     20
#define WBTN_INFO     20

#define BCK_COLOR     RGB15(20,20,20)

#endif

#endif
