
/* Control implementation

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#include <nds.h>

#include "Control.h"

/*
 * Constructor
 */
Control::Control(int id, int x, int y, GraphicsHandler* gh)
{
  m_id = id;
  m_x = x;
  m_y = y;
  m_enabled = true;
  m_gh = gh;
}

/*
 * Destructor
 */
Control::~Control()
{
}

/*
 * Disable the control
 */
void Control::Disable()
{
  m_enabled = false;
}

/*
 * Enable the control
 */
void Control::Enable()
{
  m_enabled = true;
}

