
/* Control declaration

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#ifndef CONTROLH
#define CONTROLH

#include "GraphicsHandler.h"

class Control
{
public:

  /*
   * Constructor
   */
  Control(int id, int x, int y, GraphicsHandler* gh);
  
  /*
   * Destructor
   */
  virtual ~Control();
  
  /*
   * Return the control id
   */
  int GetId() { return (m_id); };
  
  /*
   * Get X position for the control
   */
  int GetX() { return (m_x); };
  
  /*
   * Get Y position for the control
   */
  int GetY() { return (m_y); };
  
  /*
   * Check if control is enabled 
   */
  bool IsEnabled() { return (m_enabled); };
  
  /*
   * Disable the control
   */
  virtual void Disable();
  
  /*
   * Enable the control
   */
  virtual void Enable();
  
protected:

  /*
   * Control identifier
   */
  int m_id;
  
  /*
   * Control position
   */
  int m_x, m_y;

  /*
   * Control enabled
   */
  bool m_enabled;
  
  /*
   * Graphics handler reference
   */
  GraphicsHandler* m_gh;
  
};

#endif

