
/* Literal handler definition 

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#ifndef LITERALHANDLERH
#define LITERALHANDLERH

#define ITALIAN 0
#define ENGLISH 1

#define NLIT_WRITEMODE        0
#define NLIT_TRAINMODE        1
#define NLIT_WRITEBUTTON      2
#define NLIT_TRAINBUTTON      3
#define NLIT_EDITBUTTON       4
#define NLIT_RESETBUTTON      5
#define NLIT_ENDEDITBUTTON    6
#define NLIT_DELETEBUTTON     7
#define NLIT_ENABLEDSYMBOLS   8
#define NLIT_ENABNUMBERS      9
#define NLIT_ENABCAPLETTERS   10
#define NLIT_ENABLETTERS      11
#define NLIT_ENABSYMBOLS      12
#define NLIT_ENABCUSTOM       13
#define NLIT_CURSYMBOL        14
#define NLIT_1SAMPLE          15
#define NLIT_NSAMPLES         16
#define NLIT_SELECTSYMBOL     17
#define NLIT_EDITSYMBOL       18
#define NLIT_SAVEBUTTON       19
#define NLIT_WEBSITE          20
#define NLIT_TITLE            21
#define NLIT_SUBTITLE1        22
#define NLIT_SUBTITLE2        23

#define LIT_WRITEMODE        LiteralHandler::GetLit(NLIT_WRITEMODE)
#define LIT_TRAINMODE        LiteralHandler::GetLit(NLIT_TRAINMODE)
#define LIT_WRITEBUTTON      LiteralHandler::GetLit(NLIT_WRITEBUTTON)
#define LIT_TRAINBUTTON      LiteralHandler::GetLit(NLIT_TRAINBUTTON)
#define LIT_EDITBUTTON       LiteralHandler::GetLit(NLIT_EDITBUTTON)
#define LIT_RESETBUTTON      LiteralHandler::GetLit(NLIT_RESETBUTTON)
#define LIT_ENDEDITBUTTON    LiteralHandler::GetLit(NLIT_ENDEDITBUTTON)
#define LIT_DELETEBUTTON     LiteralHandler::GetLit(NLIT_DELETEBUTTON)
#define LIT_ENABLEDSYMBOLS   LiteralHandler::GetLit(NLIT_ENABLEDSYMBOLS)
#define LIT_ENABNUMBERS      LiteralHandler::GetLit(NLIT_ENABNUMBERS)
#define LIT_ENABCAPLETTERS   LiteralHandler::GetLit(NLIT_ENABCAPLETTERS)
#define LIT_ENABLETTERS      LiteralHandler::GetLit(NLIT_ENABLETTERS)
#define LIT_ENABSYMBOLS      LiteralHandler::GetLit(NLIT_ENABSYMBOLS)
#define LIT_ENABCUSTOM       LiteralHandler::GetLit(NLIT_ENABCUSTOM)
#define LIT_CURSYMBOL        LiteralHandler::GetLit(NLIT_CURSYMBOL)
#define LIT_1SAMPLE          LiteralHandler::GetLit(NLIT_1SAMPLE)
#define LIT_NSAMPLES         LiteralHandler::GetLit(NLIT_NSAMPLES)
#define LIT_SELECTSYMBOL     LiteralHandler::GetLit(NLIT_SELECTSYMBOL)
#define LIT_EDITSYMBOL       LiteralHandler::GetLit(NLIT_EDITSYMBOL)
#define LIT_SAVEBUTTON       LiteralHandler::GetLit(NLIT_SAVEBUTTON)
#define LIT_WEBSITE          LiteralHandler::GetLit(NLIT_WEBSITE)
#define LIT_TITLE            LiteralHandler::GetLit(NLIT_TITLE)
#define LIT_SUBTITLE1        LiteralHandler::GetLit(NLIT_SUBTITLE1)
#define LIT_SUBTITLE2        LiteralHandler::GetLit(NLIT_SUBTITLE2)

class LiteralHandler
{
public:

  /*
   * Set language
   */
  static void SetLanguage(int lang);
  
  /*
   * Get requeste literal
   */
  static char* GetLit(int nLit);
};

#ifdef LITDATA

static char *lit_ita[] = {
  "Test scrittura",
  "Apprendimento",
  "Scrivi",
  "Apprendi",
  "Modifica",
  "Cancella",
  "Indietro",
  "Cancella",
  "Caratteri abilitati:",
  "0/9",
  "A/Z",
  "a/z",
  "simboli",
  "custom",
  "Simbolo %d",
  "1 campione",
  "%d campioni",
  "Selezionare il simbolo desiderato",
  "Disegnare un nuovo campione per il simbolo",
  "Salva",
  "www.object65.it",
  "CellWriter DS",
  "handwriting library",
  "test program",
};

static char *lit_eng[] = {
  "Writing mode",
  "Training mode",
  "Write",
  "Train",
  "Edit",   
  "Clear",
  "Back",
  "Clear",
  "Enabled characters:",
  "0/9",
  "A/Z",
  "a/z",
  "symbols",
  "custom",
  "Symbol %d",
  "1 sample",
  "%d samples",
  "Select the desired symbol",
  "Enter a new symbol sample",
  "Save",
  "www.object65.it",
  "CellWriter DS",
  "handwriting library",
  "test program",
};

#endif

#endif
