
/* CellWriter main program 

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#include <nds.h>
#include <stdio.h>
#include <math.h>
#include <fat.h>

#include "TimersHandler.h"
#include "GraphicsHandler.h"
#include "CellWriter.h"
 
unsigned long tctr = 0;

/*
 * VBlank interrupt routine
 */
void Vblank() 
{
  tctr++;
}

/*
 * Main program
 */
int main(void)
{
  /* Console initialization */
	
	consoleDemoInit();

  /* Setup VBLANK IRQ */
  
	irqInit();
	irqSet(IRQ_VBLANK, Vblank);
	irqEnable(IRQ_VBLANK);
  
  /* FAT initialization */
  
  fatInitDefault();
  
  /* Console handlers initialization */
  
  TimersHandler* th = new TimersHandler();
  
  /* Let's go */
  
  CellWriter* cw = new CellWriter();
  
  cw->Run(th);
  
  /* Close up */
  
  delete cw;
  delete th;
}
